Subject: Re: bug#20276: 24.4; diff-mode doesn't handle unified diff file headers without tabs

From: Stefan Monnier <[email-masked]>
Date: Wed, 08 Apr 2015 21:48:49 -0400

> git diff also does for what it's worth.

Ah, indeed.  This doesn't bite us too hard because git also happens to
provide the "diff ..." line.

> True, but note that diff-font-lock-keywords is more permissive; it does not
> require the tab to be present.

Of course a false positive in diff-font-lock-keywords will only look
funny but won't affect actual behavior, which is why I thought it was OK
to be more permissive.

Anyway, I guess we have to bite this bullet, so I installed your patch
into "master".  Thanks,

        Stefan